Subject: bug#76967: 30.1; Specific UTF-8 characters causes misalignments on PGTK

From: artur <[email-masked]>
Date: Thu, 13 Mar 2025 17:42:31 +0000

> I think it would help us greatly if you show some simple text with 
the
 > problematic characters that cannot be aligned, whereas replacing 
those
 > characters with ASCII characters solves the alignment issue.

It really varies on the font. For example, using Departure Mono causes
any non Latin/Numerical character to not work as intended. On fonts such
as Iosevka, Source Code Pro or DejaVu Sans Mono, pipeline characters
work as intended but starts misaligning when you are using Braille or
CJK. FreeMono works without a hitch.

------------
Artur Manuel
amadaluzia